from django.contrib import admin
from . import models

admin.site.register(models.Parameter)

class ParameterInline(admin.TabularInline):
    model = models.Parameter
    extra = 0
    fields = ['name', 'type', 'is_required', 'default']

class TemplateAdmin(admin.ModelAdmin):
  inlines = [ParameterInline]

admin.site.register(models.KubeTemplate, TemplateAdmin)
